<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BaseScalaCompileOptions (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BaseScalaCompileOptions (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/language/scala/tasks/AbstractScalaCompile.html" title="class in org.gradle.language.scala.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/language/scala/tasks/PlatformScalaCompile.html" title="class in org.gradle.language.scala.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/language/scala/tasks/BaseScalaCompileOptions.html" target="_top">Frames</a></li>
<li><a href="BaseScalaCompileOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.language.scala.tasks</div>
<h2 title="Class BaseScalaCompileOptions" class="title">Class BaseScalaCompileOptions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">org.gradle.api.tasks.compile.AbstractOptions</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.language.scala.tasks.BaseScalaCompileOptions</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/api/tasks/scala/ScalaCompileOptions.html" title="class in org.gradle.api.tasks.scala">ScalaCompileOptions</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">BaseScalaCompileOptions</span>
extends <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">AbstractOptions</a></pre>
<div class="block">Options for Scala platform compilation.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../serialized-form.html#org.gradle.language.scala.tasks.BaseScalaCompileOptions">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#BaseScalaCompileOptions()">BaseScalaCompileOptions</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getAdditionalParameters()">getAdditionalParameters</a></strong>()</code>
<div class="block">Additional parameters passed to the compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getDebugLevel()">getDebugLevel</a></strong>()</code>
<div class="block">Generate debugging information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getEncoding()">getEncoding</a></strong>()</code>
<div class="block">Encoding of source files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/scala/ScalaForkOptions.html" title="class in org.gradle.api.tasks.scala">ScalaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getForkOptions()">getForkOptions</a></strong>()</code>
<div class="block">Options for running the Scala compiler in a separate process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/scala/IncrementalCompileOptions.html" title="class in org.gradle.api.tasks.scala">IncrementalCompileOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getIncrementalOptions()">getIncrementalOptions</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getLoggingLevel()">getLoggingLevel</a></strong>()</code>
<div class="block">Specifies the amount of logging.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#getLoggingPhases()">getLoggingPhases</a></strong>()</code>
<div class="block">Phases of the compiler to log.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#isDeprecation()">isDeprecation</a></strong>()</code>
<div class="block">Generate deprecation information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#isFailOnError()">isFailOnError</a></strong>()</code>
<div class="block">Fail the build on compilation errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#isForce()">isForce</a></strong>()</code>
<div class="block">Whether to force the compilation of all files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#isListFiles()">isListFiles</a></strong>()</code>
<div class="block">List files to be compiled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#isOptimize()">isOptimize</a></strong>()</code>
<div class="block">Run optimizations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#isUnchecked()">isUnchecked</a></strong>()</code>
<div class="block">Generate unchecked information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setAdditionalParameters(java.util.List)">setAdditionalParameters</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;additionalParameters)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setDebugLevel(java.lang.String)">setDebugLevel</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;debugLevel)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setDeprecation(boolean)">setDeprecation</a></strong>(boolean&nbsp;deprecation)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setEncoding(java.lang.String)">setEncoding</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setFailOnError(boolean)">setFailOnError</a></strong>(boolean&nbsp;failOnError)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setForce(boolean)">setForce</a></strong>(boolean&nbsp;force)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setForkOptions(org.gradle.api.tasks.scala.ScalaForkOptions)">setForkOptions</a></strong>(<a href="../../../../../org/gradle/api/tasks/scala/ScalaForkOptions.html" title="class in org.gradle.api.tasks.scala">ScalaForkOptions</a>&nbsp;forkOptions)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setIncrementalOptions(org.gradle.api.tasks.scala.IncrementalCompileOptions)">setIncrementalOptions</a></strong>(<a href="../../../../../org/gradle/api/tasks/scala/IncrementalCompileOptions.html" title="class in org.gradle.api.tasks.scala">IncrementalCompileOptions</a>&nbsp;incrementalOptions)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setListFiles(boolean)">setListFiles</a></strong>(boolean&nbsp;listFiles)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setLoggingLevel(java.lang.String)">setLoggingLevel</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;loggingLevel)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setLoggingPhases(java.util.List)">setLoggingPhases</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;loggingPhases)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setOptimize(boolean)">setOptimize</a></strong>(boolean&nbsp;optimize)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/language/scala/tasks/BaseScalaCompileOptions.html#setUnchecked(boolean)">setUnchecked</a></strong>(boolean&nbsp;unchecked)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.compile.AbstractOptions">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.compile.<a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">AbstractOptions</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#define(java.util.Map)">define</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#excludeFromAntProperties(java.lang.String)">excludeFromAntProperties</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#getAntPropertyName(java.lang.String)">getAntPropertyName</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#getAntPropertyValue(java.lang.String,%20java.lang.Object)">getAntPropertyValue</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#optionMap()">optionMap</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BaseScalaCompileOptions()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BaseScalaCompileOptions</h4>
<pre>public&nbsp;BaseScalaCompileOptions()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isFailOnError()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFailOnError</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isFailOnError()</pre>
<div class="block">Fail the build on compilation errors.</div>
</li>
</ul>
<a name="setFailOnError(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFailOnError</h4>
<pre>public&nbsp;void&nbsp;setFailOnError(boolean&nbsp;failOnError)</pre>
</li>
</ul>
<a name="isDeprecation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDeprecation</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;boolean&nbsp;isDeprecation()</pre>
<div class="block">Generate deprecation information.</div>
</li>
</ul>
<a name="setDeprecation(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeprecation</h4>
<pre>public&nbsp;void&nbsp;setDeprecation(boolean&nbsp;deprecation)</pre>
</li>
</ul>
<a name="isUnchecked()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUnchecked</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;boolean&nbsp;isUnchecked()</pre>
<div class="block">Generate unchecked information.</div>
</li>
</ul>
<a name="setUnchecked(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUnchecked</h4>
<pre>public&nbsp;void&nbsp;setUnchecked(boolean&nbsp;unchecked)</pre>
</li>
</ul>
<a name="getDebugLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugLevel</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDebugLevel()</pre>
<div class="block">Generate debugging information.
 Legal values: none, source, line, vars, notailcalls</div>
</li>
</ul>
<a name="setDebugLevel(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebugLevel</h4>
<pre>public&nbsp;void&nbsp;setDebugLevel(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;debugLevel)</pre>
</li>
</ul>
<a name="isOptimize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOptimize</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isOptimize()</pre>
<div class="block">Run optimizations.</div>
</li>
</ul>
<a name="setOptimize(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOptimize</h4>
<pre>public&nbsp;void&nbsp;setOptimize(boolean&nbsp;optimize)</pre>
</li>
</ul>
<a name="getEncoding()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEncoding()</pre>
<div class="block">Encoding of source files.</div>
</li>
</ul>
<a name="setEncoding(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>public&nbsp;void&nbsp;setEncoding(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
</li>
</ul>
<a name="isForce()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForce</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isForce()</pre>
<div class="block">Whether to force the compilation of all files.
 Legal values:
 - false (only compile modified files)
 - true (always recompile all files)</div>
</li>
</ul>
<a name="setForce(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForce</h4>
<pre>public&nbsp;void&nbsp;setForce(boolean&nbsp;force)</pre>
</li>
</ul>
<a name="getAdditionalParameters()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdditionalParameters</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getAdditionalParameters()</pre>
<div class="block">Additional parameters passed to the compiler.
 Each parameter must start with '-'.</div>
</li>
</ul>
<a name="setAdditionalParameters(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAdditionalParameters</h4>
<pre>public&nbsp;void&nbsp;setAdditionalParameters(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;additionalParameters)</pre>
</li>
</ul>
<a name="isListFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isListFiles</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;boolean&nbsp;isListFiles()</pre>
<div class="block">List files to be compiled.</div>
</li>
</ul>
<a name="setListFiles(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListFiles</h4>
<pre>public&nbsp;void&nbsp;setListFiles(boolean&nbsp;listFiles)</pre>
</li>
</ul>
<a name="getLoggingLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoggingLevel</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLoggingLevel()</pre>
<div class="block">Specifies the amount of logging.
 Legal values:  none, verbose, debug</div>
</li>
</ul>
<a name="setLoggingLevel(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoggingLevel</h4>
<pre>public&nbsp;void&nbsp;setLoggingLevel(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;loggingLevel)</pre>
</li>
</ul>
<a name="getLoggingPhases()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoggingPhases</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getLoggingPhases()</pre>
<div class="block">Phases of the compiler to log.
 Legal values: namer, typer, pickler, uncurry, tailcalls, transmatch, explicitouter, erasure,
               lambdalift, flatten, constructors, mixin, icode, jvm, terminal.</div>
</li>
</ul>
<a name="setLoggingPhases(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoggingPhases</h4>
<pre>public&nbsp;void&nbsp;setLoggingPhases(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;loggingPhases)</pre>
</li>
</ul>
<a name="getForkOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForkOptions</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/scala/ScalaForkOptions.html" title="class in org.gradle.api.tasks.scala">ScalaForkOptions</a>&nbsp;getForkOptions()</pre>
<div class="block">Options for running the Scala compiler in a separate process.</div>
</li>
</ul>
<a name="setForkOptions(org.gradle.api.tasks.scala.ScalaForkOptions)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForkOptions</h4>
<pre>public&nbsp;void&nbsp;setForkOptions(<a href="../../../../../org/gradle/api/tasks/scala/ScalaForkOptions.html" title="class in org.gradle.api.tasks.scala">ScalaForkOptions</a>&nbsp;forkOptions)</pre>
</li>
</ul>
<a name="getIncrementalOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncrementalOptions</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/scala/IncrementalCompileOptions.html" title="class in org.gradle.api.tasks.scala">IncrementalCompileOptions</a>&nbsp;getIncrementalOptions()</pre>
</li>
</ul>
<a name="setIncrementalOptions(org.gradle.api.tasks.scala.IncrementalCompileOptions)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setIncrementalOptions</h4>
<pre>public&nbsp;void&nbsp;setIncrementalOptions(<a href="../../../../../org/gradle/api/tasks/scala/IncrementalCompileOptions.html" title="class in org.gradle.api.tasks.scala">IncrementalCompileOptions</a>&nbsp;incrementalOptions)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/language/scala/tasks/AbstractScalaCompile.html" title="class in org.gradle.language.scala.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/language/scala/tasks/PlatformScalaCompile.html" title="class in org.gradle.language.scala.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/language/scala/tasks/BaseScalaCompileOptions.html" target="_top">Frames</a></li>
<li><a href="BaseScalaCompileOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
